
function click(e) {
  chrome.tabs.executeScript(null,
      {code:"document.body.style.backgroundColor='" + e.target.id + "';     console.log('HERE TOO'); "});
  //window.close();
    var x = document.getElementById('red'); if (x) { x.style.display = 'none'; }
}

function showDashboard(dashboardUri) {
    if (dashboardUri) {
        var iframe = document.createElement('iframe');
        iframe.src = dashboardUri;
        document.body.appendChild(iframe);
    } else {
        var label = document.createElement('label');
        label.className = 'nouri';
        label.innerHTML = 'Please open the CoRE dashboard in a tab, then tap on the CoRE Web Extension icon again.'
        document.body.appendChild(label);
    }    
}


document.addEventListener('DOMContentLoaded', function () {
    var dashboardUri = localStorage.getItem('dashboardUri');
    console.log("Dashboard URI is " + dashboardUri);
    if (!dashboardUri) {
        console.log('looking for tabs');
        chrome.tabs.query({}, function (tabs) {
            for(index in tabs) {
                var uri = tabs[index].url;
                console.log('Current tab is ' + uri);
                if (uri && uri.startsWith('https://') && uri.endsWith('/dashboard#/') && (uri.indexOf('/api/token/') > 25)) {
                    console.log('Found dashboard!')
                    dashboardUri = uri;
                    localStorage.setItem('dashboardUri', uri);
                    break;
                }
            }
            showDashboard(dashboardUri);
        });            
    } else {
        showDashboard(dashboardUri);        
    }
});
